# Uses of Class
org.eclipse.team.core.mapping.provider.MergeContext

Packages that use MergeContext
Package
Description
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of MergeContext in org.eclipse.team.core.subscribers

Subclasses of MergeContext in org.eclipse.team.core.subscribers
Modifier and Type
Class
Description
`class`
`SubscriberMergeContext`
A merge context that uses a subscriber to populate the diff tree used by the context.

## Uses of MergeContext in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return MergeContext
Modifier and Type
Method
Description
`protected MergeContext`
ModelSynchronizeParticipant.`restoreContext(ISynchronizationScopeManager manager)`
Recreate the context for this participant.